# Class: pam_access
#
# This module manages pam_access on Redhat
#
# Parameters:
#
# Actions:
#
# Requires:
#
# Sample Usage:
#   include pam_access
#      or
#   include pam_access::example
#
# [Remember: No empty lines between comments and class definition]
class pam_access {


}
# Sample Usage: 
#
# [Remember: No empty lines between comments and class definition]
class pam_access {
   $mod = pam_access
   # place groups or users in the below arrays.
   # ex: $group = [sudo, foo, bar]
   $group = [ "sudo" ]
   $users = []
   file { "/etc/security/access.conf":
         ensure  => "present",
         owner   => "root",
         group   => "root",
         mode    => "644",
         backup  => "true",
         content => template("${mod}/etc/security/access.conf.erb"),
   }
   exec { "authconfig-access":
      command => "authconfig --enablelocauthorize --enablepamaccess --update",
      path    => "/usr/bin:/usr/sbin:/bin",
      unless  => "grep '^account.*required.*pam_access.so' \
                  /etc/pam.d/system-auth 2>/dev/null",
      require => File["/etc/security/access.conf"],
   }
}
class pam_access::example inherits pam_access {
   $group += ["foo"]
   $users += ["foo", "bar", "baz"]
   File["/etc/security/access.conf"] {
      content => template("${mod}/etc/security/access.conf.erb"),
   }
}


